namespace Intrepid.Gameplay.Codex.UI
{
    public interface IWindowLifecycle
    {
        void BeforeOpen();
        void AfterOpen();
        void BeforeClose();
        void AfterClose();
        
        void EnableInput();
        void DisableInput();
    }
}